Package org.apache.lucene.util.compress

# Class LZ4.HighCompressionHashTable

java.lang.Object
org.apache.lucene.util.compress.LZ4.HighCompressionHashTable

Enclosing class:
  `LZ4`

public static final class LZ4.HighCompressionHashTable extends Object
A higher-precision `LZ4.HashTable`. It stores up to 256 occurrences of 4-bytes sequences in the last `2^16` bytes, which makes it much more likely to find matches than `LZ4.FastCompressionHashTable`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighCompressionHashTable()`
  Sole constructor

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighCompressionHashTable

    public HighCompressionHashTable()
    Sole constructor